NXOpen.UF.Curve.CreateArcPointCenter

Curve.CreateArcPointCenter()

Refer to UF_CURVE_create_arc_point_center for documentation.

Signature: CreateArcPointCenter(point, center, limitP, supportPlane, isAsso)

Parameters:
  • point (Tag) – tag of start point
  • center (Tag) – tag of center
  • limitP (list of NXOpen.UF.Curve.Limit Refer to UF_CURVE_limit_s for documentation.) – extension limits
  • supportPlane (Tag) – tag of support plane of the arc
  • isAsso (bool) – true - if associative, false - if not associative
Returns:

if is_asso == TRUE - object identifier of new associative arc feature if is_asso == FALSE - object identifier of new associative arc

Return type:

Tag

License requirements: SOLIDS MODELING or DRAFTING